qpid::console::SchemaProperty Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
qpid::console::SchemaProperty Struct Reference

`#include <qpid/console/Schema.h>`

List of all members.

## Public Member Functions
| SchemaProperty (framing::Buffer &buffer)
boost::shared_ptr< Value > | decodeValue (framing::Buffer &buffer)
## Public Attributes
std::string | name
uint8_t | typeCode
uint8_t | accessCode
bool | isIndex
bool | isOptional
std::string | unit
int | min
int | max
int | maxLen
std::string | desc

## Constructor & Destructor Documentation

qpid::console::SchemaProperty::SchemaProperty | ( | framing::Buffer & | buffer | ) |

## Member Function Documentation

boost::shared_ptr<Value> qpid::console::SchemaProperty::decodeValue | ( | framing::Buffer & | buffer | ) |

## Member Data Documentation

uint8_t qpid::console::SchemaProperty::accessCode

Definition at line 57 of file Schema.h.

std::string qpid::console::SchemaProperty::desc

Definition at line 64 of file Schema.h.

bool qpid::console::SchemaProperty::isIndex

Definition at line 58 of file Schema.h.

bool qpid::console::SchemaProperty::isOptional

Definition at line 59 of file Schema.h.

int qpid::console::SchemaProperty::max

Definition at line 62 of file Schema.h.

int qpid::console::SchemaProperty::maxLen

Definition at line 63 of file Schema.h.

int qpid::console::SchemaProperty::min

Definition at line 61 of file Schema.h.

std::string qpid::console::SchemaProperty::name

Definition at line 55 of file Schema.h.

uint8_t qpid::console::SchemaProperty::typeCode

Definition at line 56 of file Schema.h.

std::string qpid::console::SchemaProperty::unit

Definition at line 60 of file Schema.h.

The documentation for this struct was generated from the following file:

- qpid/console/Schema.h